Bug 225677 - databases/grass7: Update to 7.4.0 and update qgis
Summary: databases/grass7: Update to 7.4.0 and update qgis
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL: https://trac.osgeo.org/grass/wiki/Gra...
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2018-02-05 05:44 UTC by Loïc Bartoletti
Modified: 2018-03-19 06:37 UTC (History)
2 users (show)

See Also:
lbartoletti: maintainer-feedback+


Attachments
Update grass7 to 7.4.0 (34.74 KB, patch)
2018-02-05 05:44 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
update qgis - grass7.4.0 (1.14 KB, patch)
2018-02-05 05:45 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti 2018-02-05 05:44:58 UTC
Created attachment 190331 [details]
Update grass7 to 7.4.0

We are pleased to announce the GRASS GIS 7.4.0 release	
GRASS GIS 7.4.0: Wildfire in Australia, seen by Sentinel-2B

What's new in a nutshell

After a bit more than one year of development the new update release GRASS GIS 7.4.0 is available. It provides more than 480 stability fixes and improvements compared to the previous stable version 7.2. An overview of the new features in the 7.4 release series is available at New Features in GRASS GIS 7.4.

Efforts have concentrated on making the user experience even better, providing many small, but useful additional functionalities to modules and further improving the graphical user interface. Users can now directly download pre-packaged demo data locations in the GUI startup window. Several modules were migrated from addons to the core GRASS GIS package and the suite of tools for ortho-rectification was re-implemented in the new GRASS 7 GUI style. In order to support the treatment of massive datasets, new compression algorithms were introduced and NULL (no-data) raster files are now also compressed by default. For a detailed overview, see the list of new features. As a stable release series, 7.4.x enjoys long-term support.


--
Poudriere 10, 11 i386/amd64 OK
Porlint OK (false warnings)
Comment 1 Loïc Bartoletti 2018-02-05 05:45:53 UTC
Created attachment 190332 [details]
update qgis - grass7.4.0
Comment 2 Yuri Victorovich freebsd_committer 2018-02-10 21:36:24 UTC
There are errors during grass7 build:

Status: Parsing /tmp/tmpAQTq27.h
Error: /usr/include/sys/_types.h:104: Syntax error at '__aligned'
Error: /usr/include/sys/_types.h:104: Syntax error at ';'
Error: /usr/include/sys/_types.h:105: Syntax error at '__aligned'
Error: /usr/include/sys/_types.h:105: Syntax error at ';'
Warning: Member "def" of Struct "Option" has been renamed to "_def" because it has the same name as a Python keyword.
Status: Writing to OBJ.amd64-portbld-freebsd11.1/raster.py.
Comment 3 Yuri Victorovich freebsd_committer 2018-02-10 21:38:40 UTC
Also please note that you have an error in Makefile. It should be:
> MYSQL_USES=             mysql

Another thing is that all options can't be "on" because some of them cause conflicts between dependencies. This isn't a problem of the port, just an observation.
Comment 4 Loïc Bartoletti 2018-02-12 06:22:40 UTC
Hello Yuri,

Yes it's a know problem since at least grass 6.x.
IIRC, it's a problem with GCC and our includes or something like.
Comment 5 Yuri Victorovich freebsd_committer 2018-02-12 07:09:57 UTC
(In reply to lbartoletti from comment #4)

But how can we commit it with such errors?
Are you sure that this doesn't leave it broken?
Comment 6 Loïc Bartoletti 2018-02-12 12:29:33 UTC
I don't like this errors too, but as far as I Know it works (c)
IIRC there's been a discussion about this in the past.
Comment 7 Yuri Victorovich freebsd_committer 2018-03-19 06:37:02 UTC
Committed.
Thank you for the update!
Comment 8 commit-hook freebsd_committer 2018-03-19 06:37:52 UTC
A commit references this bug:

Author: yuri
Date: Mon Mar 19 06:36:55 UTC 2018
New revision: 464986
URL: https://svnweb.freebsd.org/changeset/ports/464986

Log:
  databases/grass7: Update to 7.4.0

  Release announcement:
  https://grass.osgeo.org/news/71/15/GRASS-GIS-7-4-0-released/

  PR:		225677
  Submitted by:	lbartoletti@tuxfamily.org (maintainer)

Changes:
  head/databases/grass7/Makefile
  head/databases/grass7/distinfo
  head/databases/grass7/pkg-plist